Skip to main content
GET
/
organizations
/
{orgId}
/
users
List users by organization
curl --request GET \
  --url https://console.gmicloud.ai/api/v1/organizations/{orgId}/users \
  --header 'Authorization: Bearer <token>'
{
  "users": [
    {
      "id": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
      "email": "john.doe@example.com",
      "firstName": "john",
      "lastName": "doe",
      "lastLoginAt": 1740557336,
      "lastLoginIDP": "google",
      "orgRole": "org_owner"
    }
  ]
}

Authorizations

Authorization
string
header
required

An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.

Path Parameters

orgId
string<uuid>
required

The organization's ID.

  • Must be a valid UUID.
Example:

"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"

Response

Successfully list users by organization.

users
object[]

A list of users in the specified organization.